> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# executeonevent

> List of windows client events to execute tasks on - Logon, Logoff, LocalUpdate

## "executeonevent" MDO List

List of windows client events to execute tasks on: Logon, Logoff, LocalUpdate

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ExecuteOnEventProvider">ExecuteOnEventProvider</see> class.
The name of the MDO list is 'executeonevent'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/executeonevent
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("executeonevent", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                   | StyleHint | ExtraInfo |
| -- | ---------------------- | --------- | --------- |
| 1  | SuperOffice CRM starts |           |           |
| 2  | SuperOffice CRM exits  |           |           |
| 3  | Local Update           |           |           |

## Related MDO Lists

* "executeoneventheadings"
* "executeoneventheadingswithallitem"
* "executeoneventheadingswithallitemwithnoselection"
* "executeoneventheadingswithnoselection"
* "executeoneventwithallitem"
* "executeoneventwithallitemwithnoselection"
* "executeoneventwithnoselection"


## Related topics

- [Enum ExecuteOnEvent](/en/automation/crmscript/reference/CRMScript.NetServer.ExecuteOnEvent.md)
- [Enum values for ExecuteOnEvent](/en/database/tables/enums/executeonevent.md)
- [SuperOffice.WebApi.Data.ExecuteOnEvent](/en/api/reference/webapi/SuperOffice.WebApi.Data.ExecuteOnEvent.md)
- [Namespace CRMScript.NetServer](/en/automation/crmscript/reference/CRMScript.NetServer.md)
- [SuperOffice.WebApi.Data.ExtAppEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.ExtAppEntity.md)
- [NSExtAppEntity](/en/automation/crmscript/reference/CRMScript.NetServer.NSExtAppEntity.md)
